Subject: RE: [Pwg-Announce] PWG Last call of HCD Assessment Attributes

From: "Sukert, Alan" <[email-masked]>
Date: Tue, 8 Jan 2013 18:17:21 +0000

Joe -

I reviewed the HCDE-Assessment-Attributes spec and have the following official Xerox comments (since I'm coming in new many of these may have already been discussed with the IDS WG; feel free to reject any of these comments on that basis):

1.       General comment: Some of the text has different type font from the rest of the text (e.g., Lines 301 and 308), Make sure to check all the type fonts in the document for uniformity.

2.       The following RFCs are referenced in the body of the document but are not listed in either Sections 9 or 10: [XMLTYPES] (Section 2.3, pg. 9, Line 318), [RFC2579] (Section 2.3, pg. 9, Line 321), [RFC2578] (Section 2.3, pg. 9, Line 321), [RFC3411] (Section 2.3, pg. 9, Line 321) and [RFC5646] (Section 4.1, pg. 14, description of AttributesNaturalLanguage).

3.       The following acronyms are used in the body of the document but are not defined in Section 2.4: RFC (Section 9, pg. 17, Line 525), URL (Section 4.1, pg. 14, description of TimeSource), I2C (Section 4.1, pg. 14, description of TimeSource), MFD (Section 9, pg. 17, Line 525), XML (Section 9, pg. 17, Line 526), SM (Section 6, pg. 16, Line 517)

4.       The following acronyms listed in Section 2.4 are not used anywhere else in the document: TLS and URI.

5.       Section 3.2.2, page 11, Line 419: The sentence "To mitigate this breach, IT administrators decide corporate policy is that ALL devices must..." It is not clear why 'ALL' is capitalized here because ALL is not one of the conformance technology terms discussed in Section 2.1.

6.       Section 4.1, page 13, definition of FirmwareStringVersion attribute: The second sentence uses the term "String Versions". It is not clear what is meant by this term - did you mean Firmware String Versions here?

7.       Section 4.1, page 13, definition of FirewallSetting attribute: The Data Type is listed as being an OctetArray, but the description indicates that this is a variable length field. Given that the definition of an OctetArray is a "variable number of octets containing binary data" a variable length field could be something other than octets. Please clarify the data type description of the FirewallSetting attribute.

8.       Section 5.2.2.1, page 16, Line 495: 'HCDUserApplicationVersion' should be 'UserApplicationVersion'.

9.       Section 5.2.2.3, page 16, Line 507: Since the table has been removed indicate there are no attributes that MUST be supported if the condition described is present in the HCD.

10.   Section 5.2.3, page 16, Line 512: 'CertificationStat' should be 'CertificationState'. A side comment - the other lists in Section 5.2 are alphabetical; why isn't the list in Section 5.2.3 alphabetical?

11.   The following references listed in Section 10 are not referenced anywhere else in the document: [RFC3766] and [RFC4086].

Let me know if you have any questions on my comments.

Alan

Alan Sukert
Xerox Certified Green Belt
Product Security Specialist
[email-masked]|<mailto:[email-masked]%7C> tel 585.427.1413 or 8*707-1413
MS 0111-03A | 800 Phillips Road | Webster, NY 14580

From: [email-masked] [mailto:[email-masked]] On Behalf Of Murdock, Joe
Sent: Monday, November 26, 2012 3:43 PM
To: [email-masked]
Subject: [Pwg-Announce] PWG Last call of HCD Assessment Attributes

All,

[This PWG Last Call starts today Monday November 26, 2012 and ends Friday January 18, 2013 at 10pm US PST.]

This is the formal announcement of the PWG Last Call for the HCD-Assessment-Attributes specification, located at:

                ftp://ftp.pwg.org/pub/pwg/ids/wd/wd-idsattributes10-20121113.pdf

A supporting binding document (HCD-NAP) has been prototyped and is in PWG last call. The IDS WG has completed extensive review of the various revisions of this document and an IDS WG last call.

The PWG Process/3.0 requires that a quorum (30%) of PWG voting members must acknowledge a PWG Last Call (with or without comments), before any document can progress to PWG Formal Vote.  This PWG Last Call is NOT a Formal Vote but it DOES require your review acknowledgment.

HOW TO RESPOND

Send an email with *exactly* the following subject line format:
Subject: <Company Name> has reviewed the HCD-Assessment-Attributes specification and has [no] comments

WHERE TO SEND YOUR RESPONSE

Please send your response to *all* of the following email addresses (replacing "dot" with '.' and "at" with '@'):

"ids "at" pwg "dot" org (IDS WG mailing list - you must be subscribed!)
jmurdock "at" sharplabs "dot" com (Joe Murdock, IDS Chair and current HCD-Assessment-Attributes Editor)
alan.sukert "at" xerox "dot" com (Alan Sukert, IDS WG Secretary)

Note that you must be subscribed to the IDS WG mailing list to send email there - otherwise your email will be silently discarded.

Please do NOT simply reply to this note on the PWG-Announce list.

Note: The PWG Definition of the Standards Development Process Version 3.0 is located at:

                http://www.pwg.org/chair/membership_docs/pwg-process30.pdf

---------------------------------------
Joe Murdock
Principal Engineer and Researcher
Chair IEEE/ISTO Printer Working Group Imaging Device Security
Sharp Labs of America
5750 NW Pacific Rim Blvd
Camas, WA 98607
(360) 817-7542
[email-masked]<mailto:[email-masked]>

--
This message has been scanned for viruses and
dangerous content by MailScanner<http://www.mailscanner.info/>, and is
believed to be clean.

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
pwg-announce mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/pwg-announce

---

From: "Sukert, Alan" <[email-masked]>
Date: Mon, 21 Jan 2013 20:25:14 +0000

The PWG Last call period for the HCD Assessment Attributes spec has been formally extended to Friday, Feb 1, 2013 at 10 pm US PST. If you have not reviewed this document yet and you are a PWG Voting member please review the spec so we can have the necessary quorum of members having reviewed the document.

Thanks.

Alan Sukert
Xerox Global Development Group Product Security Office
Xerox Certified Green Belt
[email-masked]|<mailto:[email-masked]%7C> tel 585.427.1413 or 8*707-1413
MS 0111-03A | 800 Phillips Road | Webster, NY 14580
"The right angle from which to approach a problem is a try-angle"

All,

HOW TO RESPOND

---

From: "Sukert, Alan" <[email-masked]>
Date: Mon, 28 Jan 2013 19:59:43 +0000

This note is just a reminder that the PWG Last Call period for the HCD Assessment Attributes spec has been formally extended to Friday, Feb 1, 2013 at 10 pm US PST. As of today we only have 5 responses and 8 are needed for a quorum to approve this spec.

Please respond by the deadline if you have not done so already.

Alan Sukert
Secretary, PWG IDS Working Group

From: [email-masked] [mailto:[email-masked]] On Behalf Of Sukert, Alan
Sent: Monday, January 21, 2013 3:25 PM
To: Murdock, Joe; [email-masked]
Subject: RE: [Pwg-Announce] PWG Last call of HCD Assessment Attributes

Thanks.

Alan Sukert

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Murdock, Joe
Sent: Monday, November 26, 2012 3:43 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [Pwg-Announce] PWG Last call of HCD Assessment Attributes

All,

HOW TO RESPOND

---

From: "Murdock, Joe" <[email-masked]>
Date: Thu, 31 Jan 2013 01:14:44 +0000

All,

We need one (1) more member to send in their notice that they have reviewed the HCD Assessment Attributes specification, with or without comments, in order to advance this to PWG Formal Vote.
This Last Call has been extended until Feb 1, 2013, so there is still time to get your response in.

Thank you in advance for your review!

From: Sukert, Alan [mailto:[email-masked]]
Sent: Monday, January 21, 2013 12:25 PM
To: Murdock, Joe; [email-masked]
Subject: RE: [Pwg-Announce] PWG Last call of HCD Assessment Attributes

Thanks.

Alan Sukert

All,

HOW TO RESPOND